VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IProgramListData Class Referenceabstract
VST 3 Interfaces to be implemented by the Plug-in | VST 3 Interfaces defined in version 3.0.0

Component extension to access program list data. More...

`#include <ivstunits.h>`

Inheritance diagram for IProgramListData:

## Public Member Functions
virtual tresult | programDataSupported (ProgramListID listId)=0
| Returns kResultTrue if the given Program List ID supports Program Data. More...
virtual tresult | getProgramData (ProgramListID listId, int32 programIndex, IBStream *data)=0
| Gets for a given program list ID and program index the program Data. More...
virtual tresult | setProgramData (ProgramListID listId, int32 programIndex, IBStream *data)=0
| Sets for a given program list ID and program index a program Data. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Component extension to access program list data.

- [plug imp]
- [extends IComponent]
- [released: 3.0.0]

A component can either support program list data via this interface or unit preset data (IUnitData), but not both!

See also
  vst3UnitPrograms

## Member Function Documentation

virtual tresult programDataSupported | ( | ProgramListID | listId | ) |
| pure virtual

Returns kResultTrue if the given Program List ID supports Program Data.

virtual tresult getProgramData | ( | ProgramListID | listId,
|  | int32 | programIndex,
|  | IBStream * | data
| ) |  |
| pure virtual

Gets for a given program list ID and program index the program Data.

virtual tresult setProgramData | ( | ProgramListID | listId,
|  | int32 | programIndex,
|  | IBStream * | data
| ) |  |
| pure virtual

Sets for a given program list ID and program index a program Data.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.